Name:		freexl
Version:	1.0.6
Release:	1%{?dist}
Summary:	Library to extract data from within an Excel spreadsheet
License:	MPLv1.1 or GPLv2+ or LGPLv2+
URL:		http://www.gaia-gis.it/FreeXL
Source0:	http://www.gaia-gis.it/gaia-sins/%{name}-sources/%{name}-%{version}.tar.gz 
BuildRequires:	gcc
BuildRequires:	doxygen

%description
FreeXL is a library to extract valid data
from within an Excel spreadsheet (.xls)

Design goals:
    * simple and lightweight
    * stable, robust and efficient
    * easily and universally portable
    * completely ignore any GUI-related oddity

%package devel
Summary:	Development Libraries for FreeXL
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --enable-gcov=no --disable-static
%{__make} %{?_smp_mflags}

# Mailed the author on Dec 5th 2011
# Preserve date of header file
sed -i 's/^INSTALL_HEADER = \$(INSTALL_DATA)/& -p/' headers/Makefile.in

# Generate HTML documentation and clean unused installdox script
doxygen
%{__rm} -f html/installdox


%check
%{__make} check

# Clean up
pushd examples
  %{__make} clean
popd


%install
%{__make} install DESTDIR=%{buildroot}

# Delete undesired libtool archives
%{__rm} -f %{buildroot}%{_libdir}/lib%{name}.la

%ldconfig_scriptlets

%files
%doc COPYING AUTHORS README
%{_libdir}/lib%{name}.so.*

%files devel
%doc examples html
%{_includedir}/freexl.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/freexl.pc


%changelog
* Sun Aug 02 2020 Volker Fröhlich <volker27@gmx.at> - 1.0.6-1
- New upstream release

* Tue Sep 3 2019 Devrim Gündüz <devrim@gunduz.org> - 1.0.5-4
- Initial packaging for EPEL 8
